GDB (xrefs)

Public Attributes | List of all members
varobj_dynamic Struct Reference

## Public Attributes
bool | children_requested = false
PyObject * | constructor = NULL
PyObject * | pretty_printer = NULL
struct varobj_iter * | child_iter = NULL
varobj_item * | saved_item = NULL

## Detailed Description

Definition at line 110 of file varobj.c.

## Member Data Documentation

## ◆ child_iter

struct varobj_iter* varobj_dynamic::child_iter = NULL

Definition at line 129 of file varobj.c.

Referenced by install_visualizer(), update_dynamic_varobj_children(), and varobj::~varobj().

## ◆ children_requested

bool varobj_dynamic::children_requested = false

Definition at line 116 of file varobj.c.

Referenced by varobj_list_children(), and varobj_update().

## ◆ constructor

PyObject* varobj_dynamic::constructor = NULL

Definition at line 121 of file varobj.c.

Referenced by install_new_value_visualizer(), install_visualizer(), and varobj::~varobj().

## ◆ pretty_printer

PyObject* varobj_dynamic::pretty_printer = NULL

Definition at line 125 of file varobj.c.

Referenced by dynamic_varobj_has_child_method(), install_new_value(), install_visualizer(), my_value_of_variable(), varobj_get_display_hint(), varobj_get_iterator(), varobj_is_dynamic_p(), varobj_value_get_print_value(), and varobj::~varobj().

## ◆ saved_item

varobj_item* varobj_dynamic::saved_item = NULL

Definition at line 136 of file varobj.c.

Referenced by update_dynamic_varobj_children(), and varobj_has_more().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/varobj.c